<?php

namespace Trungpro\Trungpro\Http\Controllers;

use App\Http\Controllers\PublicController as BaseController;
use Trungpro\Trungpro\Interfaces\FbmanagerRepositoryInterface;

class FbmanagerPublicController extends BaseController
{
    // use FbmanagerWorkflow;

    /**
     * Constructor.
     *
     * @param type \Trungpro\Fbmanager\Interfaces\FbmanagerRepositoryInterface $fbmanager
     *
     * @return type
     */
    public function __construct(FbmanagerRepositoryInterface $fbmanager)
    {
        $this->repository = $fbmanager;
        parent::__construct();
    }

    /**
     * Show fbmanager's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $fbmanagers = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();

        return $this->theme->of('trungpro::public.fbmanager.index', compact('fbmanagers'))->render();
    }

    /**
     * Show fbmanager.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $fbmanager = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->theme->of('trungpro::public.fbmanager.show', compact('fbmanager'))->render();
    }

}
