<?php

namespace Trungpro\Trungpro\Providers;

use Litepie\Contracts\Workflow\Workflow as WorkflowContract;
use Litepie\Foundation\Support\Providers\WorkflowServiceProvider as ServiceProvider;

class WorkflowServiceProvider extends ServiceProvider
{
    /**
     * The validators mappings for the package.
     *
     * @var array
     */
    protected $validators = [
        
        // Bind Fbmanager validator
        \Trungpro\Trungpro\Models\Fbmanager::class => \Trungpro\Trungpro\Workflow\FbmanagerValidator::class,
    ];

    /**
     * The actions mappings for the package.
     *
     * @var array
     */
    protected $actions = [
        
        // Bind Fbmanager actions
        \Trungpro\Trungpro\Models\Fbmanager::class => \Trungpro\Trungpro\Workflow\FbmanagerAction::class,
    ];

    /**
     * The notifiers mappings for the package.
     *
     * @var array
     */
    protected $notifiers = [
       
        // Bind Fbmanager notifiers
        \Trungpro\Trungpro\Models\Fbmanager::class => \Trungpro\Trungpro\Workflow\FbmanagerNotifier::class,
    ];

    /**
     * Register any package workflow validation services.
     *
     * @param \Litepie\Contracts\Workflow\Workflow $workflow
     *
     * @return void
     */
    public function boot(WorkflowContract $workflow)
    {
        parent::registerValidators($workflow);
        parent::registerActions($workflow);
        parent::registerNotifiers($workflow);
    }
}
