<?php

namespace Trungpro\Trungpro;

use User;

class Trungpro
{
    /**
     * $fbmanager object.
     */
    protected $fbmanager;

    /**
     * Constructor.
     */
    public function __construct(\Trungpro\Trungpro\Interfaces\FbmanagerRepositoryInterface $fbmanager)
    {
        $this->fbmanager = $fbmanager;
    }

    /**
     * Returns count of trungpro.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.fbmanager.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->fbmanager->pushCriteria(new \Litepie\Trungpro\Repositories\Criteria\FbmanagerUserCriteria());
        }

        $fbmanager = $this->fbmanager->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('trungpro::' . $view, compact('fbmanager'))->render();
    }
}
