<?php

namespace Trungpro\Trungpro\Workflow;

use Exception;
use Litepie\Workflow\Exceptions\WorkflowActionNotPerformedException;

use Trungpro\Trungpro\Models\Fbmanager;

class FbmanagerAction
{
    /**
     * Perform the complete action.
     *
     * @param Fbmanager $fbmanager
     *
     * @return Fbmanager
     */
    public function complete(Fbmanager $fbmanager)
    {
        try {
            $fbmanager->status = 'complete';
            return $fbmanager->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the verify action.
     *
     * @param Fbmanager $fbmanager
     *
     * @return Fbmanager
     */public function verify(Fbmanager $fbmanager)
    {
        try {
            $fbmanager->status = 'verify';
            return $fbmanager->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the approve action.
     *
     * @param Fbmanager $fbmanager
     *
     * @return Fbmanager
     */public function approve(Fbmanager $fbmanager)
    {
        try {
            $fbmanager->status = 'approve';
            return $fbmanager->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the publish action.
     *
     * @param Fbmanager $fbmanager
     *
     * @return Fbmanager
     */public function publish(Fbmanager $fbmanager)
    {
        try {
            $fbmanager->status = 'publish';
            return $fbmanager->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the archive action.
     *
     * @param Fbmanager $fbmanager
     *
     * @return Fbmanager
     */
    public function archive(Fbmanager $fbmanager)
    {
        try {
            $fbmanager->status = 'archive';
            return $fbmanager->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the unpublish action.
     *
     * @param Fbmanager $fbmanager
     *
     * @return Fbmanager
     */
    public function unpublish(Fbmanager $fbmanager)
    {
        try {
            $fbmanager->status = 'unpublish';
            return $fbmanager->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }
}
