<?php

namespace Trungpro\Trungpro\Workflow;

use Trungpro\Trungpro\Models\Fbmanager;
use Trungpro\Trungpro\Notifications\Fbmanager as FbmanagerNotifyer;
use Notification;

class FbmanagerNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Fbmanager $fbmanager
     *
     * @return void
     */
    public function complete(Fbmanager $fbmanager)
    {
        return Notification::send($fbmanager->user, new FbmanagerNotifyer($fbmanager, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Fbmanager $fbmanager
     *
     * @return void
     */
    public function verify(Fbmanager $fbmanager)
    {
        return Notification::send($fbmanager->user, new FbmanagerNotifyer($fbmanager, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Fbmanager $fbmanager
     *
     * @return void
     */
    public function approve(Fbmanager $fbmanager)
    {
        return Notification::send($fbmanager->user, new FbmanagerNotifyer($fbmanager, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Fbmanager $fbmanager
     *
     * @return void
     */
    public function publish(Fbmanager $fbmanager)
    {
        return Notification::send($fbmanager->user, new FbmanagerNotifyer($fbmanager, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Fbmanager $fbmanager
     *
     * @return void
     */
    public function archive(Fbmanager $fbmanager)
    {
        return Notification::send($fbmanager->user, new FbmanagerNotifyer($fbmanager, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Fbmanager $fbmanager
     *
     * @return void
     */
    public function unpublish(Fbmanager $fbmanager)
    {
        return Notification::send($fbmanager->user, new FbmanagerNotifyer($fbmanager, 'unpublish'));;

    }
}
